com.h3c.sdn.ctl.diag

## Enum PacketSortAttribute

- java.lang.Object
- - java.lang.Enum<PacketSortAttribute>
  - - com.h3c.sdn.ctl.diag.PacketSortAttribute

- All Implemented Interfaces:
    Serializable, Comparable<PacketSortAttribute>

      public enum PacketSortAttribute
      extends Enum<PacketSortAttribute>

  Defines the packet attributes which may be used for data sorting.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DST_IP` The target IP of the packet
    `DST_MAC` The target MAC of the packet
    `ID` The ID associated with packet
    `SRC_IP` The sender IP of the packet
    `SRC_MAC` The sender MAC of the packet
    `TYPE` The type of packet ARP, ICMP

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PacketSortAttribute` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static PacketSortAttribute[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ID

          public static final PacketSortAttribute ID

      The ID associated with packet

    - #### TYPE

          public static final PacketSortAttribute TYPE

      The type of packet ARP, ICMP

    - #### SRC_IP

          public static final PacketSortAttribute SRC_IP

      The sender IP of the packet

    - #### SRC_MAC

          public static final PacketSortAttribute SRC_MAC

      The sender MAC of the packet

    - #### DST_IP

          public static final PacketSortAttribute DST_IP

      The target IP of the packet

    - #### DST_MAC

          public static final PacketSortAttribute DST_MAC

      The target MAC of the packet

  - ### Method Detail

    - #### values

          public static PacketSortAttribute[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PacketSortAttribute c : PacketSortAttribute.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PacketSortAttribute valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2014. All Rights Reserved.